function name=IdToName(id);
%IDTONAME- return name of test
%
%   Usage:
%      name=IdToName(id);

switch id,

	case 101, name='SquareShelfConstrainedDiagM2dSerial';
	case 102, name='SquareShelfConstrainedDiagM2dParallel';
	case 103, name='SquareShelfConstrainedDiagM3dSerial';
	case 104, name='SquareShelfConstrainedDiagM3dParallel';
	case 105, name='SquareShelfConstrainedDiagP3dSerial';
	case 106, name='SquareShelfConstrainedDiagP3dParallel';
	case 107, name='SquareShelfConstrainedDiagS3dSerial';
	case 108, name='SquareShelfConstrainedDiagS3dParallel';
	case 109, name='SquareShelfConstrainedProg2dSerial';
	case 110, name='SquareShelfConstrainedProg2dParallel';
	case 111, name='SquareShelfConstrainedProg2dDGSerial';
	case 112, name='SquareShelfConstrainedProg2dDGParallel';
	case 113, name='SquareShelfConstrainedProg3dSerial';
	case 114, name='SquareShelfConstrainedProg3dParallel';
	case 115, name='SquareShelfConstrainedTherSteaSerial';
	case 116, name='SquareShelfConstrainedTherSteaParallel';
	case 117, name='SquareShelfConstrainedTherTranSerial';
	case 118, name='SquareShelfConstrainedTherTranParallel';
	case 119, name='SquareShelfConstrainedTranM2dSerial';
	case 120, name='SquareShelfConstrainedTranM2dParallel';
	case 121, name='SquareShelfConstrainedTranP3dSerial';
	case 122, name='SquareShelfConstrainedTranP3dParallel';
	case 123, name='SquareShelfConstrainedSurfSlop2dSerial';
	case 124, name='SquareShelfConstrainedSurfSlop2dParallel';
	case 125, name='SquareShelfConstrainedSurfSlop3dSerial';
	case 126, name='SquareShelfConstrainedSurfSlope3dParallel';
	case 127, name='SquareShelfConstrainedBedSlop2dSerial';
	case 128, name='SquareShelfConstrainedBedSlop2dParallel';
	case 129, name='SquareShelfConstrainedBedSlop3dSerial';
	case 130, name='SquareShelfConstrainedBedSlop3dParallel';
	case 131, name='SquareShelfConstrainedBalThic2dSerial';
	case 132, name='SquareShelfConstrainedBalThic2dParallel';
	case 133, name='SquareShelfConstrainedBalThic3dSerial';
	case 134, name='SquareShelfConstrainedBalThic3dParallel';
	case 135, name='SquareShelfConstrainedBalThic2dDGSerial';
	case 136, name='SquareShelfConstrainedBalThic2dDGParallel';
	case 137, name='SquareBamgMesh';
	case 139, name='SquareShelfConstrainedEnthalpySteaSerial';
	case 140, name='SquareShelfConstrainedEnthalpySteaParallel';
	case 141, name='SquareShelfConstrainedEnthalpyTranSerial';
	case 142, name='SquareShelfConstrainedEnthalpyTranParallel';
	case 143, name='SquareShelfConstrainedTransP3dEnthSerial';
	case 144, name='SquareShelfConstrainedTransP3dEnthParallel';
	case 201, name='SquareShelfDiagM2dSerial';
	case 202, name='SquareShelfDiagM2dParallel';
	case 203, name='SquareShelfDiagM3dSerial';
	case 204, name='SquareShelfDiagM3dParallel';
	case 205, name='SquareShelfDiagP3dSerial';
	case 206, name='SquareShelfDiagP3dParallel';
	case 207, name='SquareShelfDiagS3dSerial';
	case 208, name='SquareShelfDiagS3dParallel';
	case 209, name='SquareShelfDiagMP3dPenaltiesSerial';
	case 210, name='SquareShelfDiagMP3dPenaltiesParallel';
	case 211, name='SquareShelfTherSteaSerial';
	case 212, name='SquareShelfTherSteaParallel';
	case 213, name='SquareShelfTherTranSerial';
	case 214, name='SquareShelfTherTranParallel';
	case 215, name='SquareShelfTranM2dSerial';
	case 216, name='SquareShelfTranM2dParallel';
	case 217, name='SquareShelfTranM3dSerial';
	case 218, name='SquareShelfTranM3dParallel';
	case 219, name='SquareShelfTranP3dSerial';
	case 220, name='SquareShelfTranP3dParallel';
	case 221, name='SquareShelfTranS3dSerial';
	case 222, name='SquareShelfTranS3dParallel';
	case 223, name='SquareShelfCMBM2dSerial';
	case 224, name='SquareShelfCMBM2dParallel';
	case 225, name='SquareShelfCMBM3dSerial';
	case 226, name='SquareShelfCMBM3dParallel';
	case 227, name='SquareShelfCMBP3dSerial';
	case 228, name='SquareShelfCMBP3dParallel';
	case 229, name='SquareShelfCMBS3dSerial';
	case 230, name='SquareShelfCMBS3dParallel';
	case 231, name='SquareShelfDiagM2dRiftSerial';
	case 232, name='SquareShelfDiagM2dRiftParallel';
	case 233, name='SquareShelfConstrainedSerial';
	case 234, name='SquareShelfConstrainedParallel';
	case 235, name='SquareShelfConstrainedDakotaBSerial';
	case 236, name='SquareShelfConstrainedDakotaBParallel';
	case 237, name='SquareShelfDiagMP3dTilingSerial';
	case 238, name='SquareShelfDiagMP3dTilingParallel';
	case 239, name='SquareShelfDiagPS3dTilingSerial';
	case 240, name='SquareShelfDiagPS3dTilingParallel';
	case 241, name='SquareShelfDiagMS3dTilingSerial';
	case 242, name='SquareShelfDiagMS3dTilingParallel';
	case 243, name='SquareShelfDiagM2dTransientIncrHydroSerial';
	case 244, name='SquareShelfDiagM2dTransientIncrHydroParallel';
	case 245, name='SquareShelfDiagM2dTransientIncrNonHydroSerial';
	case 246, name='SquareShelfDiagM2dTransientIncrNonHydroParallel';
	case 247, name='SquareShelfDiagP3dTransientIncrHydroSerial';
	case 248, name='SquareShelfDiagP3dTransientIncrHydroParallel';
	case 249, name='SquareShelfDiagP3dTransientIncrNonHydroSerial';
	case 250, name='SquareShelfDiagP3dTransientIncrNonHydroParallel';
	case 251, name='SquareShelfTranCflM2dSerial';
	case 252, name='SquareShelfTranCflM2dParallel';
	case 253, name='SquareShelfTranCflP3dSerial';
	case 254, name='SquareShelfTranCflP3dParallel';
	case 255, name='SquareShelfTranForceNeg2dSerial';
	case 256, name='SquareShelfTranForceNeg2dParallel';
	case 257, name='SquareShelfTranForcePos2dSerial';
	case 258, name='SquareShelfTranForcePos2dParallel';
	case 259, name='SquareShelfTranForceNeg3dSerial';
	case 260, name='SquareShelfTranForceNeg3dParallel';
	case 261, name='SquareShelfTranForcePos3dSerial';
	case 262, name='SquareShelfTranForcePos3dParallel';
	case 263, name='SquareShelfTherTranForcTempSerial';
	case 264, name='SquareShelfTherTranForcTempParallel';
	case 265, name='SquareShelfTranP3dForcTempSerial';
	case 266, name='SquareShelfTranP3dForcTempParallel';
	case 267, name='SquareShelfTranForceNeg2dDakotaSamp';
   case 268, name='SquareShelfTranForceNeg2dDakotaLocal';
	case 301, name='SquareSheetConstrainedDiagM2dSerial';
	case 302, name='SquareSheetConstrainedDiagM2dParallel';
	case 303, name='SquareSheetConstrainedDiagH2dSerial';
	case 304, name='SquareSheetConstrainedDiagH2dParallel';
	case 305, name='SquareSheetConstrainedDiagHM2dSerial';
	case 306, name='SquareSheetConstrainedDiagHM2dParallel';
	case 307, name='SquareSheetConstrainedDiagM3dSerial';
	case 308, name='SquareSheetConstrainedDiagM3dParallel';
	case 309, name='SquareSheetConstrainedDiagH3dSerial';
	case 310, name='SquareSheetConstrainedDiagH3dParallel';
	case 311, name='SquareSheetConstrainedDiagHM3dSerial';
	case 312, name='SquareSheetConstrainedDiagHM3dParallel';
	case 313, name='SquareSheetConstrainedDiagP3dSerial';
	case 314, name='SquareSheetConstrainedDiagP3dParallel';
	case 315, name='SquareSheetConstrainedDiagS3dSerial';
	case 316, name='SquareSheetConstrainedDiagS3dParallel';
	case 317, name='SquareSheetConstrainedProg2dSerial';
	case 318, name='SquareSheetConstrainedProg2dParallel';
	case 319, name='SquareSheetConstrainedProg2dDGSerial';
	case 320, name='SquareSheetConstrainedProg2dDGParallel';
	case 321, name='SquareSheetConstrainedProg3dSerial';
	case 322, name='SquareSheetConstrainedProg3dParallel';
	case 323, name='SquareSheetConstrainedTherSteaSerial';
	case 324, name='SquareSheetConstrainedTherSteaParallel';
	case 325, name='SquareSheetConstrainedTherTranSerial';
	case 326, name='SquareSheetConstrainedTherTranParallel';
	case 327, name='SquareSheetConstrainedTranH2dSerial';
	case 328, name='SquareSheetConstrainedTranH2dParallel';
	case 329, name='SquareSheetConstrainedTranH3dSerial';
	case 330, name='SquareSheetConstrainedTranH3dParallel';
	case 331, name='SquareSheetConstrainedTranM2dSerial';
	case 332, name='SquareSheetConstrainedTranM2dParallel';
	case 333, name='SquareSheetConstrainedTranP3dSerial';
	case 334, name='SquareSheetConstrainedTranP3dParallel';
	case 335, name='SquareSheetConstrainedSteaH3dSerial';
	case 336, name='SquareSheetConstrainedSteaH3dParallel';
	case 337, name='SquareSheetConstrainedCMDragM2dSerial';
	case 338, name='SquareSheetConstrainedCMDragM2dParallel';
	case 339, name='SquareSheetConstrainedCMDragM3dSerial';
	case 340, name='SquareSheetConstrainedCMDragM3dParallel';
	case 341, name='SquareSheetConstrainedCMDragP3dSerial';
	case 342, name='SquareSheetConstrainedCMDragP3dParallel';
	case 343, name='SquareSheetConstrainedCMDragS3dSerial';
	case 344, name='SquareSheetConstrainedCMDragS3dParallel';
	case 345, name='SquareSheetConstrainedTranCflM2dSerial';
	case 346, name='SquareSheetConstrainedTranCflM2dParallel';
	case 347, name='SquareSheetConstrainedTranCflH3dSerial';
	case 348, name='SquareSheetConstrainedTranCflH3dParallel';
	case 349, name='SquareSheetConstrainedEnthalpySteaSerial';
	case 350, name='SquareSheetConstrainedEnthalpySteaParallel';
	case 351, name='SquareSheetConstrainedEnthalpyTranSerial';
	case 352, name='SquareSheetConstrainedEnthalpyTranParallel';
	case 353, name='SquareSheetConstrainedTransP3dEnthSerial';
	case 354, name='SquareSheetConstrainedTransP3dEnthParallel';
	case 401, name='SquareSheetShelfDiagM2dSerial';
	case 402, name='SquareSheetShelfDiagM2dParallel';
	case 403, name='SquareSheetShelfDiagM3dSerial';
	case 404, name='SquareSheetShelfDiagM3dParallel';
	case 405, name='SquareSheetShelfDiagP3dSerial';
	case 406, name='SquareSheetShelfDiagP3dParallel';
	case 407, name='SquareSheetShelfDiagS3dSerial';
	case 408, name='SquareSheetShelfDiagS3dParallel';
	case 409, name='SquareSheetShelfDiagMP3dPenaltiesSerial';
	case 410, name='SquareSheetShelfDiagMP3dPenaltiesParallel';
	case 411, name='SquareSheetShelfTherSteaSerial';
	case 412, name='SquareSheetShelfTherSteaParallel';
	case 413, name='SquareSheetShelfTherTranSerial';
	case 414, name='SquareSheetShelfTherTranParallel';
	case 415, name='SquareSheetShelfTranM2dSerial';
	case 416, name='SquareSheetShelfTranM2dParallel';
	case 417, name='SquareSheetShelfTranMP3dPenaltiesSerial';
	case 418, name='SquareSheetShelfTranMP3dPenaltiesParallel';
	case 419, name='SquareSheetShelfSteaM3dSerial';
	case 420, name='SquareSheetShelfSteaM3dParallel';
	case 421, name='SquareSheetShelfSteaP3dSerial';
	case 422, name='SquareSheetShelfSteaP3dParallel';
	case 423, name='SquareSheetShelfDiadM3dDakotaSerial';
	case 424, name='SquareSheetShelfDiadM3dDakotaParallel';
	case 425, name='SquareSheetShelfDiadM3dDakotaPartSerial';
	case 426, name='SquareSheetShelfDiadM3dDakotaPartParallel';
	case 427, name='SquareSheetShelfDiadM3dDakotaMassFluxSerial';
	case 428, name='SquareSheetShelfDiadM3dDakotaMassFluxParallel';
	case 429, name='SquareSheetShelfCMDragSteaM3dSerial';
	case 430, name='SquareSheetShelfCMDragSteaM3dParallel';
	case 431, name='SquareSheetShelfCMDragSteaP3dSerial';
	case 432, name='SquareSheetShelfCMDragSteaP3dParallel';
	case 434, name='SquareSheetShelfDiadM3dDakotaSamp';
	case 435, name='SquareSheetShelfDiadM3dDakotaAreaAverage';
	case 437, name='SquareSheetShelfDiagMP3dTilingSerial';
	case 438, name='SquareSheetShelfDiagMP3dTilingParallel';
	case 439, name='SquareSheetShelfDakotaScaledResponse';
	case 440, name='SquareSheetShelfDakotaScaledResponse';
	case 441, name='SquareSheetShelfDiagPS3dTilingSerial';
	case 442, name='SquareSheetShelfDiagPS3dTilingParallel';
	case 443, name='SquareSheetShelfDiagMS3dTilingSerial';
	case 444, name='SquareSheetShelfDiagMS3dTilingParallel';
	case 445, name='RoundSheetShelfGLMigrationM2dSerial';
	case 446, name='RoundSheetShelfGLMigrationM2dParallel';
	case 447, name='SquareSheetShelfGroundingLine2dAgressiceSerial';
	case 448, name='SquareSheetShelfGroundingLine2dAgressiceParallel';
	case 449, name='SquareSheetShelfGroundingLine2dSoftSerial';
	case 450, name='SquareSheetShelfGroundingLine2dSoftParallel';
	case 451, name='SquareSheetShelfGroundingLine3dAgressiceSerial';
	case 452, name='SquareSheetShelfGroundingLine3dAgressiceParallel';
	case 453, name='SquareSheetShelfGroundingLine3dSoftSerial';
	case 454, name='SquareSheetShelfGroundingLine3dSoftParallel';
	case 501, name='PigDiagM2dSerial';
	case 502, name='PigDiagM2dParallel';
	case 503, name='PigDiagP3dSerial';
	case 504, name='PigDiagP3dParallel';
	case 505, name='PigDiagS3dSerial';
	case 506, name='PigDiagS3dParallel';
	case 507, name='PigTranM2dSerial';
	case 508, name='PigTranM2dParallel';
	case 509, name='PigTranM3dSerial';
	case 510, name='PigTranM3dParallel';
	case 511, name='PigTranP3dSerial';
	case 512, name='PigTranP3dParallel';
	case 513, name='PigTranS3dSerial';
	case 514, name='PigTranS3dParallel';
	case 515, name='PigSteaM3dSerial';
	case 516, name='PigSteaM3dParallel';
	case 517, name='PigSteaP3dSerial';
	case 518, name='PigSteaP3dParallel';
	case 519, name='PigSteaS3dSerial';
	case 520, name='PigSteaS3dParallel';
	case 521, name='PigCMBS3dSerial';
	case 522, name='PigCMBS3dparallel';
	case 523, name='PigCMDragP3dSerial';
	case 524, name='PigCMDragP3dparallel';
	case 525, name='PigCMDragSteaM3dSerial';
	case 526, name='PigCMDragSteaM3dparallel';
	case 527, name='PigBamgMesh';
	case 529, name='PigTherTranSUPGSerial';
	case 530, name='PigTherTranSUPGParallel';
	case 531, name='PigTherSteaSUPGSerial';
	case 532, name='PigTherSteaSUPGParallel';
	case 601, name='79NorthProg2dSerial';
	case 602, name='79NorthProg2dParallel';
	case 603, name='79NorthProg2dDGSerial';
	case 604, name='79NorthProg2dDGParallel';
	case 605, name='79NorthProg3dSerial';
	case 606, name='79NorthProg3dParallel';
	case 607, name='79NorthSurfSlop2dSerial';
	case 608, name='79NorthSurfSlop2dParallel';
	case 609, name='79NorthSurfSlop3dSerial';
	case 610, name='79NorthSurfSlop3dParallel';
	case 611, name='79NorthBedSlop2dSerial';
	case 612, name='79NorthBedSlop2dParallel';
	case 613, name='79NorthBedSlop3dSerial';
	case 614, name='79NorthBedSlop3dParallel';
	case 615, name='79NorthBalThic2dSerial';
	case 616, name='79NorthBalThic2dParallel';
	case 617, name='79NorthBalThic2dDGSerial';
	case 618, name='79NorthBalThic2dDGParallel';
	case 619, name='79NorthBalThic3dSerial';
	case 620, name='79NorthBalThic3dParallel';
	case 621, name='79NorthCMBalThic2dCGSerial';
	case 622, name='79NorthCMBalThic2dCGParallel';
	case 623, name='79NorthCMBalThic2dDGSerial';
	case 624, name='79NorthCMBalThic2dDGParallel';
	case 625, name='79NorthCMBalThicVxVyParallel';
	case 626, name='79NorthCMBalThicVxVySerial';
	case 1101, name='ISMIPAPattyn';
	case 1102, name='ISMIPAStokes';
	case 1103, name='ISMIPBPattyn';
	case 1104, name='ISMIPBStokes';
	case 1105, name='ISMIPCPattyn';
	case 1106, name='ISMIPCStokes';
	case 1107, name='ISMIPDPattyn';
	case 1108, name='ISMIPDStokes';
	case 1109, name='ISMIPE';
	case 1110, name='ISMIPF';
	case 1201, name='EISMINTMassConservation';
	case 1202, name='EISMINTDiag1';
	case 1203, name='EISMINTDiag2';
	case 1204, name='EISMINTTran2';
	case 1205, name='EISMINTRoundIceSheetStaticHutter';
	case 1206, name='EISMINTRoundIceSheetStaticPattyn';
	case 1207, name='EISMINTRoundIceSheetStaticStokes';
	case 1208, name='EISMINTA';
	case 1301, name='ThermalMelting';
	case 1302, name='ThermalAdvection';
	case 1303, name='ThermalConduction';
	case 1304, name='ThermalGeothermalFlux';
	case 1401, name='AdaptiveMeshRefinement1';
	case 1402, name='AdaptiveMeshRefinement2';
	case 1501, name='SquareShelfTranSawTooth2d';
	case 1502, name='SquareShelfTranSawTooth3d';
	case 1601, name='SquareShelfM2dRotation';
	case 1602, name='SquareSheetShelfP3dRotation';
	otherwise, name='N/A';
end
